function initializeCoreMod() {
	Java.type('net.minecraftforge.coremod.api.ASMAPI').loadFile(
			'coremods/core_functions.js')

	var target = {
		'type' : 'METHOD',
		'class' : 'com/simibubi/create/content/contraptions/components/fan/AirCurrent',
		'methodName' : 'findAffectedHandlers', 
		'methodDesc' : '()V'
	}

	var node = {
		'class' : 'net/minecraft/util/math/BlockPos',
		'methodName' : resolveName('func_177979_c'), // down 
		'methodDesc' : '(I)Lnet/minecraft/util/math/BlockPos;'
	}

	var direction = {
		'class' : 'com/simibubi/create/content/contraptions/components/fan/AirCurrent',
		'fieldName' : 'direction', 
		'fieldDesc' : 'Lnet/minecraft/util/Direction;'
	}

	var handler = {
		'class' : 'com/endertech/minecraft/mods/adpother/compat/Create',
		'methodName' : 'handleAirCurrent',
		'methodDesc' : '(Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/util/Direction;)V'
	}

	var instructions = [ 
		insnDup("pos"),
		insnLoadObj(1, "world"),
		insnSwap("world, pos"),
		insnLoadThis("air current"),
		insnGetField(direction),
		insnCallHandler(handler)
	];

	return {
		'coremod' : {
			'target' : target,
			'transformer' : function(method) {
				insertInstructionsAfter(method, node, instructions);
				return method;
			}
		}
	}
}