function initializeCoreMod() {
	Java.type('net.minecraftforge.coremod.api.ASMAPI').loadFile(
			'coremods/core_functions.js')

	var target = {
		'type' : 'METHOD',
		'class' : 'com/simibubi/create/content/contraptions/components/actors/BlockBreakingKineticTileEntity',
		'methodName' : 'onBlockBroken', 
		'methodDesc' : '(Lnet/minecraft/block/BlockState;)V'
	}

	var node = {
		'class' : 'net/minecraft/world/World',
		'methodName' : resolveName('func_204610_c'), // getFluidState 
		'methodDesc' : '(Lnet/minecraft/util/math/BlockPos;)Lnet/minecraft/fluid/FluidState;'
	}

	var handler = {
		'class' : 'com/endertech/minecraft/mods/adpother/events/WorldEvents',
		'methodName' : 'onBlockBroken',
		'methodDesc' : '(Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/BlockState;)V'
	}

	var instructions = [ 
		insnDup2("world, pos"), 
		insnLoadObj(1, "state"),
		insnCallHandler(handler)
	];

	return {
		'coremod' : {
			'target' : target,
			'transformer' : function(method) {
				insertInstructionsBefore(method, node, instructions);
				return method;
			}
		}
	}
}