function initializeCoreMod() {
	Java.type('net.minecraftforge.coremod.api.ASMAPI').loadFile(
			'coremods/core_functions.js')

	var target = {
		'type' : 'METHOD',
		// !!! this class will be moved content/contraptions/processing in future releases
		'class' : 'com/simibubi/create/content/logistics/InWorldProcessing',
		'methodName' : 'applyProcessing', 
		'methodDesc' : '(Lnet/minecraft/entity/item/ItemEntity;Lcom/simibubi/create/content/logistics/InWorldProcessing$Type;)V'
	}

	var node = {
		'class' : 'net/minecraft/entity/item/ItemEntity',
		'methodName' : resolveName('func_70106_y'), // remove 
		'methodDesc' : '()V'
	}

	var world = {
		'class' : 'net/minecraft/entity/item/ItemEntity',
		'methodName' : resolveName('func_130014_f_'), // getEntityWorld 
		'methodDesc' : '()Lnet/minecraft/world/World;'
	}

	var position = {
		'class' : 'net/minecraft/entity/item/ItemEntity',
		'methodName' : resolveName('func_233580_cy_'), // getPosition 
		'methodDesc' : '()Lnet/minecraft/util/math/BlockPos;'
	}

	var ordinal = {
		'class' : 'com/simibubi/create/content/logistics/InWorldProcessing$Type',
		'methodName' : 'ordinal', 
		'methodDesc' : '()I'
	}

	var handler = {
		'class' : 'com/endertech/minecraft/mods/adpother/compat/Create',
		'methodName' : 'handleInWorldProcessing',
		'methodDesc' : '(Lnet/minecraft/entity/item/ItemEntity;I)V'
	}

	var instructions = [ 
		insnLoadObj(0, "item entity"),
		insnLoadObj(1, "type"),
		insnInvokeVirtual(ordinal),
		insnCallHandler(handler)
	];

	return {
		'coremod' : {
			'target' : target,
			'transformer' : function(method) {
				insertInstructionsBefore(method, node, instructions);
				return method;
			}
		}
	}
}