function initializeCoreMod() {
	Java.type('net.minecraftforge.coremod.api.ASMAPI').loadFile(
			'coremods/core_functions.js')

	var target = {
		'type' : 'METHOD',
		'class' : 'shadows/fastfurnace/tile/TileFastSmoker',
		'methodName' : resolveName('func_73660_a'), // tick   
		'methodDesc' : '()V'
	}

	var node = {
		'class' : 'net/minecraft/item/ItemStack',
		'methodName' : resolveName('func_190918_g'), // shrink 
		'methodDesc' : '(I)V'
	}
	
	var handler = {
		'class' : 'com/endertech/minecraft/mods/adpother/events/WorldEvents',
		'methodName' : 'onFurnaceFuelBurned',
		'methodDesc' : '(Lnet/minecraft/item/ItemStack;ILnet/minecraft/tileentity/TileEntity;)V'
	}

	var instructions = [
		insnPushValue(1, "fuel amount"),
		insnLoadThis("smoker tile"), 
		insnCallHandler(handler)
	];

	return {
		'coremod' : {
			'target' : target,
			'transformer' : function(method) {
				insertInstructionsBefore(method, node, [].concat(instructionsDupValue2("fuel stack"), instructions));
				return method;
			}
		}
	}
}