function initializeCoreMod() {
	Java.type('net.minecraftforge.coremod.api.ASMAPI').loadFile(
			'coremods/core_functions.js')

	var target = {
		'type' : 'METHOD',
		'class' : 'net/minecraft/tileentity/AbstractFurnaceTileEntity',
		'methodName' : resolveName('func_73660_a'), // tick   
		'methodDesc' : '()V'
	}

	var node = {
		'class' : 'net/minecraft/util/NonNullList',
		'methodName' : 'set', 
		'methodDesc' : '(ILjava/lang/Object;)Ljava/lang/Object;'
	}
	
	var handler = {
		'class' : 'com/endertech/minecraft/mods/adpother/events/WorldEvents',
		'methodName' : 'onFurnaceFuelBurned',
		'methodDesc' : '(Lnet/minecraft/item/ItemStack;ILnet/minecraft/tileentity/TileEntity;)V'
	}

	var instructions = [
		insnDup("fuel stack"), 
		insnCheckCast('net/minecraft/item/ItemStack'),
		insnPushValue(1, "fuel amount"),
		insnLoadThis("furnace tile"), 
		insnCallHandler(handler)
	];

	return {
		'coremod' : {
			'target' : target,
			'transformer' : function(method) {
				insertInstructionsAfter(method, node, instructions);
				return method;
			}
		}
	}
}