function initializeCoreMod() {
	Java.type('net.minecraftforge.coremod.api.ASMAPI').loadFile(
			'coremods/core_functions.js')

	var target = {
		'type' : 'METHOD',
		'class' : 'net/minecraft/entity/item/ItemEntity',
		'methodName' : resolveName('func_70097_a'), // attackEntityFrom  
		'methodDesc' : '(Lnet/minecraft/util/DamageSource;F)Z'
	}

	var node = {
		'class' : 'net/minecraft/entity/item/ItemEntity',
		'methodName' : resolveName('func_70106_y'), // remove
		'methodDesc' : '()V'
	}

	var handler = {
		'class' : 'com/endertech/minecraft/mods/adpother/compat/Minecraft',
		'methodName' : 'handleItemEntityDamage',
		'methodDesc' : '(Lnet/minecraft/entity/item/ItemEntity;Lnet/minecraft/util/DamageSource;)V'
	}

	var instructions = [ 
		insnDup("item entity"), 
		insnLoadObj(1, "source"), 
		insnCallHandler(handler)
	];

	return {
		'coremod' : {
			'target' : target,
			'transformer' : function(method) {
				insertInstructionsBefore(method, node, instructions);
				return method;
			}
		}
	}
}