function initializeCoreMod() {
	Java.type('net.minecraftforge.coremod.api.ASMAPI').loadFile(
			'coremods/core_functions.js')

	var target = {
		'type' : 'METHOD',
		'class' : 'slimeknights/tconstruct/smeltery/tileentity/module/FuelModule',
		'methodName' : 'trySolidFuel',    
		'methodDesc' : '(Lnet/minecraftforge/items/IItemHandler;Z)I'
	}

	var node = {
		'class' : 'net/minecraftforge/items/IItemHandler',
		'methodName' : 'extractItem', 
		'methodDesc' : '(IIZ)Lnet/minecraft/item/ItemStack;'
	}
	
	var parent = {
		'class' : 'slimeknights/tconstruct/smeltery/tileentity/module/FuelModule',
		'fieldName' : 'parent',
		'fieldDesc' : 'Lslimeknights/mantle/tileentity/MantleTileEntity;'
	}
	
	var handler = {
		'class' : 'com/endertech/minecraft/mods/adpother/events/WorldEvents',
		'methodName' : 'onFuelBurned',
		'methodDesc' : '(Lnet/minecraft/item/ItemStack;ILnet/minecraft/tileentity/TileEntity;)V'
	}

	var instructions = [
		insnDup("fuel stack"),
		insnPushValue(1, "fuel amount"),
		insnLoadThis("fuel module"),
		insnGetField(parent),
		insnCallHandler(handler)
	];

	return {
		'coremod' : {
			'target' : target,
			'transformer' : function(method) {
				insertInstructionsAfter(method, node, instructions);
				return method;
			}
		}
	}
}